%define version 1.0.5
%define release %mkrel 4

%define major 	1
%define api_version 1.0 
%define libname %mklibname xml++ %{api_version} %major
%define develname %mklibname -d xml++ %{api_version}
%define real_name libxml++

Name: 		libxml++1
Summary: 	C++ interface for working with XML files
Version: 	%{version}
Release: 	%{release}
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{real_name}/%{real_name}-%{version}.tar.bz2
URL:		http://libxmlplusplus.sf.net/
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libxml2-devel >= %{version}
BuildRequires:	doxygen
BuildRequires:  automake

%description
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}
Summary: 	C++ interface for working with XML files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{develname}
Summary:	Headers for developing programs that will use %name
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{libname}-devel

%description	-n %{develname}
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q -n %{real_name}-%{version}
aclocal
autoconf
automake

%build
%configure2_5x
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la


%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0.5-4mdv2008.1
+ Revision: 136571
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.5-4mdv2008.0
+ Revision: 89854
- rebuild

* Tue Aug 07 2007 Funda Wang <fundawang@mandriva.org> 1.0.5-3mdv2008.0
+ Revision: 59740
- Rebuild for new devel package policy
- Import libxml++1



* Wed Mar 29 2006 Götz Waschk <waschk@mandriva.org> 1.0.5-2mdk
- fix buildrequires
- fix build
- use mkrel

* Wed Sep 28 2005 Götz Waschk <waschk@mandriva.org> 1.0.5-1mdk
- fix source URL
- New release 1.0.5

* Tue Aug 23 2005 Michael Scherer <misc@mandriva.org> 1.0.4-2mdk
- Birthday rebuild

* Fri Aug 06 2004 Michael Scherer <misc@mandrake.org> 1.0.4-1mdk 
- Reintroduce to contribs as it is needed by wormux
